Activities: StudentQuiz

mod_studentquiz
Maintained by Picture of Frank KochFrank Koch, Picture of Simon SchaeferSimon Schaefer, Picture of Dragon DionysiusDragon Dionysius
StudentQuiz enables students to collaboratively create their own question pools within Moodle. Students can filter these questions into quizzes, and they can rate and comment on questions while working through the quizzes. StudentQuiz computes each students contribution and learning progress and compares this with the community. The created questions become part of the Moodle question bank and can be reused in other Moodle quizzes.
576 sites
317 downloads
49 fans
Current versions available: 4

Students like quizzes to help them prepare for exams. However, it’s hard to create all the questions for the many assessments. That’s why the University of Applied Sciences Rapperswil in Switzerland developed the Moodle plugin StudentQuiz. The plugin enables students to collaboratively create their own question pools within Moodle. This allows a better learning experience because knowledge is actively constructed by the learner, not just passively received from the environment. And even if an individual student contributes a few questions only, a large cohort can easily build up an extensive question pool.

In StudentQuiz, learners create individualised quizzes. They can also influence the quality of questions by rating and commenting while working through the quizzes. Students can see their personal learning progress, and they can compare their contribution and competence with their peer group. Furthermore, the created questions become part of the Moodle question bank and can be reused in standard Moodle quizzes.

The teacher can approve/disapprove questions, or hide or delete questions. The teacher can also configure:

  • whether students’ names are displayed or kept anonymous.
  • whether questions are published right away or have to be approved first.
  • the number of points assigned to questions contributed and answers given. 
  • what user roles to exclude from participation.
  • what questions types are allowed to be added to the pool.
  • whether students are enforced to rate questions.
  • whether students are enforced to comment questions.

There are more benefits of using StudentQuiz. Find out in our 16 minutes introduction video.

StudentQuiz has been tested on Moodle 3.1 to 3.7 and is available in Chinese, English, French, German, Portuguese, Spanish, and other languages. Please feel free to add your language to the AMOS translator.

Installation

The simplest way to install the StudentQuiz is by going to the Site administration -> Plugins -> Install plugins page.

You can try StudentQuiz without installing on the StudentQuiz Demo Page.

Upgrade

For changes and instructions please read the Release Notes.

Documentation

You can find manuals for each role in the manuals website.

Compatibility

Supported and tested with:

  • Moodle 3.1, 3.2, 3.3, 3.4, 3.5, 3.6, 3.7
  • PHP 5.6, 7.0, 7.1, 7.2
  • Databases: MySQL, PostgreSQL
  • Browsers: Firefox, Chrome

Refer to the Moodle release notes for the minimum requirements for PHP and the databases. Other modern browsers should be compatible too, it's just not tested or developed against them explicitly.

Contributing

Please help translate StudentQuiz into your language on AMOS.

Feel free to submit code changes as Pull Request or help people and universities around the world in our Issue Tracker.

License

GNU General Public License v3.0

 © Hochschule für Technik Rapperswil

Screenshots

Screenshot #0
Screenshot #1
Screenshot #2

Contributors

Picture of Frank Koch
Frank Koch (Lead maintainer)
Picture of Simon Schaefer
Simon Schaefer: Previous maintainer
Picture of Dragon Dionysius
Dragon Dionysius: maintainer
Picture of Lukas Dürrenberger
Lukas Dürrenberger: Previous maintainer
Picture of Philipp Albrecht
Philipp Albrecht: Previous maintainer
Picture of Luca Bösch
Luca Bösch: Contributer
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Picture of Dragon Dionysius
    Thu, Aug 29, 2019, 9:44 PM
    In general for everyone: Use https://github.com/frankkoch/moodle-mod_studentquiz/issues to raise issues and bugs. Fixed latest bug https://github.com/frankkoch/moodle-mod_studentquiz/issues/159 with the newly released v4.0.4
  • Fra Parlant
    Sat, Sep 14, 2019, 11:13 PM
    Hi Frank,

    This is indeed a very nice plugin and I understand why it is on the roadmap to be included in Moodle Core.

    **Have you a schedule a date to make it work with Moodle Mobile?**
    My student spend there time on their phone and it would be great if at least "taking the quiz" was available from their mobile device.

    (for now, I get the "Uh oh, your organisation installed a plugin that is not yet supported" message.
    But maybe I just didn't set it up correctly...)

    Thank you for your answer.
    Regards
    François
  • Picture of Frank Koch
    Mon, Sep 16, 2019, 1:00 PM
    Hi François,

    Moodle Headquarter has to implement the required webservices first to allow the mobile app to support StudentQuiz. Moodle HQ will do this as soon as they integrated StudentQuiz into Moodle core. Please vote on https://tracker.moodle.org/browse/MDL-62822 to make this happen as soon as possible.

    Best regards,
    Frank
  • Picture of Zabelle Motte
    Sat, Jan 11, 2020, 12:16 AM
    Hello,

    We are testing your plugin in our university and find it to be very interresting to make students active on evaluation process.
    But we have a pedagogical question that arises.
    Using ranking boards seems to us a bit dangerous because students are not all motivated by competition.
    Game motivation studies show that competition is only one among other motivation logic :
    https://en.wikipedia.org/wiki/Bartle_taxonomy_of_player_types
    http://www.nickyee.com/pubs/Yee%20-%20Motivations%20(2007).pdf
    We are working on gamification projects an verify very often that competition is not a motivation factor for everybody.
    Therefore, we are also reluctant about the ranking report that could be used by professors to convert points into students notes.

    However, we find the ranking logic could be very interresting if combined with student quiz activity completion based on a minimal number of points.
    To achieve a student quiz activity, student should for example gain 50 points.
    We encourage our professors to make students notes based on activities achievement.
    This approach motivates students to engage in online activities and is not based on competition logic.

    Do you plan to implement such feature ?

    Kisses,

    Zabelle

  • Picture of Frank Koch
    Sat, Jan 11, 2020, 4:24 AM
    Hi Zabelle,

    Thank you for the thoughts. It is easy to remove the competitive aspect of StudentQuiz. Just change the various ranking points to null. Then the total points of each student will be null. You can do so in the settings of each StudentQuiz. The Moodle administrator could even change the default values for your entire Moodle site.

    Or instead of null, you might want to set the various ranking points to values that suit your intention. This way you could assign weights to (1) answering competence, (2) contribution quantity, or (3) contribution quality.

    For activity completion, your faculty as well as students can click the "More" link below the ranking table to see whether they have attained, for example, the required 50 points.

    Best regards,
    Frank
  • Picture of Florian Rowedder
    Tue, Jan 14, 2020, 9:51 PM
    Hallo,

    thank you for this nice Plugin!

    I have a question regarding the usage of the Moodle question bank: How do you (re-)use existing questions from the question bank without having to import them into the student quiz category (or vice versa)?

    Thank you very much!
    Florian
  • Picture of Frank Koch
    Tue, Jan 14, 2020, 11:15 PM
    Hi Florian, there's an import/export feature in StudentQuiz, documented at https://docs.moodle.org/38/en/StudentQuiz_module#Reuse. You can export the questions from StudentQuiz and import the generated file into a standard Moodle Quiz. The Moodle XML format works good.
  • Picture of Florian Rowedder
    Wed, Jan 15, 2020, 12:00 AM
    OK, thank you. So reusing questions without importing (=duplicating) them as in the „normal“ Moodle test activity is not possible?
  • Picture of Frank Koch
    Wed, Jan 15, 2020, 12:24 AM
    You can access the Question bank within StudentQuiz. There you can also MOVE questions from the StudentQuiz category into other categories. If you're a teacher, you can move questions within the categories of the given course. If you're an administrator, you can move them into any other category.
  • Picture of Dragon Dionysius
    Wed, Jan 15, 2020, 12:59 AM
    Hi Florain, StudentQuiz basically uses what Moodle's Question Bank offers. If you can't copy them within the question bank features, then you have to workaround Moodle using export/import. But this topic also makes sense: Who is the owner of that copied question? If it would've been the student, he has now double the points from the question creation quantifier (until you moved it out).
  • Hiroshi Ueda
    Wed, Jan 15, 2020, 4:55 PM
    Hi Frank,
    Is the StudentQuiz plugin usable with Moodle 3.8.1 ($release = '3.8.1 (Build: 20200113)'; // Human-friendly version name)? After update my moodle core, it doesn't appear in the additional plugin list.
  • Picture of Florian Rowedder
    Wed, Jan 15, 2020, 5:12 PM
    Hi Dragon, no, you seem to get me wrong. I was looking for a possibility to reuse questions WITHOUT copying, moving or importing them. This is possible with the normal Moodle test: A single question can be used in multiple tests without having to copy it.
    However, I get that this is not possible in student quiz, probably because the question needs to have a different format for the student quiz.
  • Picture of Frank Koch
    Wed, Jan 15, 2020, 6:10 PM
    Hi Hirishi,
    Thank you for testing StudentQuiz. I just tested under Moodle 3.8.1 (Build: 20200113) and StudentQuiz installs and runs fine.
    Regards from Switzerland, Frank
  • Hiroshi Ueda
    Thu, Jan 16, 2020, 8:25 AM
    Hi Frank,
    Thank you for your prompt reply! It works after reinstalled from this directory, not from Github.
  • Picture of Zabelle Motte
    Fri, Jan 17, 2020, 7:01 PM
    Hi Frank,

    I know Moodle administrators can tune Student quiz default settings, but this does not prevent teachers to modify these parameters.
    And of course your reports enable a professor to know all student activity in detail to make a participation note, but this supposes to have a specific treatement for student quiz activity.
    Activity completion is specifically implemented for that purpose in Moodle.
    Our professors have already a lot of activities in their courses and all of them implement activity completion.
    The activity completion report gives all details on student participation.
    This would be a great functionnality for your plugin ...

    Kisses,

    Zabelle
1 2 3 4 5
Please login to post comments